@echo off
if exist %windir%\Microsoft.Net\Framework64\v2.0.50727\Ldr64.exe (

C:\WINDOWS\Microsoft.NET\Framework64\v2.0.50727\Ldr64.exe SetWow

copy ".\64dll\*.dll" "%windir%\system32\"
regsvr32 %windir%\system32\zkemkeeper.dll

copy ".\32dll\*.dll" "%windir%\syswow64\"

IF EXIST "C:\Program Files\eSSL\eTimeTrackLite" (
copy ".\32dll\*.dll" "C:\Program Files\eSSL\eTimeTrackLite\"

) ELSE (
copy ".\32dll\*.dll" "C:\Program Files (x86)\eSSL\eTimeTrackLite\" 
)

regsvr32.exe "%windir%\syswow64\zkemkeeper.dll"


IF EXIST "C:\Program Files\eSSL\eTimeTrackLite" (
regsvr32.exe "C:\Program Files\eSSL\eTimeTrackLite\zkemkeeper.dll"

) ELSE (
regsvr32.exe "C:\Program Files (x86)\eSSL\eTimeTrackLite\zkemkeeper.dll"
)


) else (
msg "%username%" Dot Net v2.0.50727 is not installed or Configured Kindly configure and run again 
)
